# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.10

# This file contains all the rules used to get the outputs files
# built from the input files.
# It is included in the main 'build.ninja'.

# =============================================================================
# Project: FACERECOGNIZER
# Configuration: Debug
# =============================================================================
# =============================================================================

#############################################
# Rule for running custom commands.

rule CUSTOM_COMMAND
  command = $COMMAND
  description = $DESC


#############################################
# Rule for compiling CXX files.

rule CXX_COMPILER__Fr-align-lib
  depfile = $DEP_FILE
  deps = gcc
  command = /home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=aarch64-none-linux-android27 --gcc-toolchain=/home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/toolchains/aarch64-linux-android-4.9/prebuilt/linux-x86_64 --sysroot=/home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/sysroot  $DEFINES $INCLUDES $FLAGS -MD -MT $out -MF $DEP_FILE -o $out -c $in
  description = Building CXX object $out


#############################################
# Rule for linking CXX shared library.

rule CXX_SHARED_LIBRARY_LINKER__Fr-align-lib
  command = $PRE_LINK && /home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=aarch64-none-linux-android27 --gcc-toolchain=/home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/toolchains/aarch64-linux-android-4.9/prebuilt/linux-x86_64 --sysroot=/home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/sysroot -fPIC $LANGUAGE_COMPILE_FLAGS $ARCH_FLAGS $LINK_FLAGS -shared $SONAME_FLAG$SONAME -o $TARGET_FILE $in $LINK_PATH $LINK_LIBRARIES && $POST_BUILD
  description = Linking CXX shared library $TARGET_FILE
  restat = $RESTAT


#############################################
# Rule for compiling CXX files.

rule CXX_COMPILER__tensorflow_demo
  depfile = $DEP_FILE
  deps = gcc
  command = /home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=aarch64-none-linux-android27 --gcc-toolchain=/home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/toolchains/aarch64-linux-android-4.9/prebuilt/linux-x86_64 --sysroot=/home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/sysroot  $DEFINES $INCLUDES $FLAGS -MD -MT $out -MF $DEP_FILE -o $out -c $in
  description = Building CXX object $out


#############################################
# Rule for linking CXX shared library.

rule CXX_SHARED_LIBRARY_LINKER__tensorflow_demo
  command = $PRE_LINK && /home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=aarch64-none-linux-android27 --gcc-toolchain=/home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/toolchains/aarch64-linux-android-4.9/prebuilt/linux-x86_64 --sysroot=/home/sonnv70/securityandsafetythings_sdk-bundle_linux/ndk-bundle/sysroot -fPIC $LANGUAGE_COMPILE_FLAGS $ARCH_FLAGS $LINK_FLAGS -shared $SONAME_FLAG$SONAME -o $TARGET_FILE $in $LINK_PATH $LINK_LIBRARIES && $POST_BUILD
  description = Linking CXX shared library $TARGET_FILE
  restat = $RESTAT


#############################################
# Rule for re-running cmake.

rule RERUN_CMAKE
  command = /home/sonnv70/securityandsafetythings_sdk-bundle_linux/cmake/3.10.2/bin/cmake -H/home/sonnv70/Downloads/sast_trafic-fdfr_hi_bulding_v0.0.1/app/src/main/jni -B/home/sonnv70/Downloads/sast_trafic-fdfr_hi_bulding_v0.0.1/app/.externalNativeBuild/cmake/debug/arm64-v8a
  description = Re-running CMake...
  generator = 1


#############################################
# Rule for cleaning all built files.

rule CLEAN
  command = /home/sonnv70/securityandsafetythings_sdk-bundle_linux/cmake/3.10.2/bin/ninja -t clean
  description = Cleaning all built files...


#############################################
# Rule for printing all primary targets available.

rule HELP
  command = /home/sonnv70/securityandsafetythings_sdk-bundle_linux/cmake/3.10.2/bin/ninja -t targets
  description = All primary targets available:

